clang 8.0.0

Public Attributes | List of all members
clang::Module::Conflict Struct Reference

A conflict between two modules. More...

`#include "clang/Basic/Module.h"`

Collaboration diagram for clang::Module::Conflict:
[legend]

## Public Attributes
Module * | Other
| The module that this module conflicts with. More...
std::string | Message
| The message provided to the user when there is a conflict. More...

## Detailed Description

A conflict between two modules.

Definition at line 360 of file Module.h.

## Member Data Documentation

## ◆ Message

std::string clang::Module::Conflict::Message

The message provided to the user when there is a conflict.

Definition at line 365 of file Module.h.

Referenced by clang::ModuleMap::resolveConflicts().

## ◆ Other

Module* clang::Module::Conflict::Other

The module that this module conflicts with.

Definition at line 362 of file Module.h.

Referenced by clang::ModuleMap::resolveConflicts().

The documentation for this struct was generated from the following file:

- include/clang/Basic/Module.h